package com.ff.base.enums;

import lombok.Getter;

/**
 * 域子类型
 *
 * @author shi
 * @date 2025/01/03
 */
@Getter
public enum DomainSonType {
    WEB_HALL(1, "Web大厅"),
    BACKEND_ACCELERATION(2, "后端加速域名"),
    APP_HALL(3, "App大厅"),
    OSS_DOMAIN(4, "OSS域名"),
    DOWNLOAD_SITE(5, "下载站域名"),
    PAYMENT_DOMAIN(6, "支付域名");

    private final Integer value;
    private final String description;

    DomainSonType(Integer value, String description) {
        this.value = value;
        this.description = description;
    }
}